gplgt(1)

NAME
gplgt - Logtalk integration script for GNU Prolog

SYNOPSIS
gplgt [ --query-goal goal ]

DESCRIPTION
gplgt is a Logtalk integration script for GNU Prolog. It automatically loads the GNU Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the startup directory or in the Logtalk user directory.

OPTIONS

--query-goal
    goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
GNU Prolog 1.4.5 or a later version is required. This integration script looks for a "gprolog" executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_gp.pl
    Prolog file used for loading the necessary files for starting Logtalk using GNU Prolog as the backend compiler.

$LOGTALKHOME/adapters/gnu.pl
    The GNU Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The GNU Prolog website at http://www.gprolog.org/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2020 Paulo Moura.